exercise_04_13: exercise_04_13.o | .gitignore
	g++ $^ -o $@ 

exercise_04_13.ii: exercise_04_13.cpp
	g++ -E $^ -o $@

exercise_04_13.s: exercise_04_13.ii
	g++ -S $^ -o $@

exercise_04_13.o: exercise_04_13.s
	g++ -c $^ -o $@
.gitignore:
	echo "exercise_04_13" > $@

clean:
	rm *.ii *.s *.o *.out exercise_04_13 .gitignore

test: exercise_04_13 
	./exercise_04_13 < test.in > test.out
	diff test.out test.expected > /dev/null 2>&1 && echo PASSED || echo FAILED
                                
